﻿import es
import langlib
import popuplib

addon = es.import_addon("soccer_mod_2010/admin/settings")

settings = ["sounds", "public_start", "public_pause", "public_stop", "swap_names", "score_board", "golden_goal"]

# ******************** Load ********************
def load():
	for item in settings:
		es.set("sm_match_%s_on" % (item), int(es.keygetvalue("soccer_mod_settings", "match", item)))

	create_popup()

# ******************** Create popup ********************
def create_popup():
	lang_dir = "cstrike/addons/eventscripts/soccer_mod_2010/language/"

	common = langlib.Strings(lang_dir + "popup_common.ini")
	texts = langlib.Strings(lang_dir + "admin/settings/popup_admin_settings_match_main.ini")

	popup = popuplib.create("sm_popup_admin_settings_match_main")

	popup.addline("SOCCER MOD %s" % (texts("title")))
	popup.addline(" ")

	for i in range(0, len(settings)):
		if es.ServerVar("sm_match_%s_on" % (settings[i])) == 1:
			value = common("on")
		else:
			value = common("off")

		popup.addline("->%s. %s: %s" % (i + 1, texts(settings[i]), value))
		popup.select(i + 1, change_setting)

	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("->0. %s" % (common("close")))

	popup.submenu(8, "sm_popup_admin_settings_match_main")
	popup.submenu(9, "sm_popup_admin_settings_match")

# ******************** Popup choice ********************
def change_setting(userid, choice, popupid):
	addon.set_boolean(userid, "match_main", "match", settings[choice - 1], popupid, choice)

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_admin_settings_match_main")