﻿import es
import langlib
import playerlib
import popuplib

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2010/language/"

addon = es.import_addon("soccer_mod_2010/admin/settings")

messages = langlib.Strings(lang_dir + "admin/settings/messages_settings_player.ini")

settings = ["god_mode", "hurt_sounds", "respawn"]

# ******************** Load ********************
def load():
	for item in settings:
		es.set("sm_player_%s_on" % (item), int(es.keygetvalue("soccer_mod_settings", "player", item)))

	es.set("sm_player_respawn_length", int(es.keygetvalue("soccer_mod_settings", "player", "respawn_length")))

	create_popup()

	es.addons.registerSayFilter(filter)

# ******************** Create popup ********************
def create_popup():
	common = langlib.Strings(lang_dir + "popup_common.ini")
	texts = langlib.Strings(lang_dir + "admin/settings/popup_admin_settings_player.ini")

	popup = popuplib.create("sm_popup_admin_settings_player")

	popup.addline("SOCCER MOD %s" % (texts("title")))
	popup.addline(" ")

	for i in range(0, len(settings)):
		if es.ServerVar("sm_player_%s_on" % (settings[i])) == 1:
			value = common("on")
		else:
			value = common("off")

		popup.addline("->%s. %s: %s" % (i + 1, texts(settings[i]), value))
		popup.select(i + 1, change_setting)

	popup.addline("->4. %s: %s" % (texts("respawn_length"), es.ServerVar("sm_player_respawn_length")))
	popup.select(4, change_setting)

	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("->0. %s" % (common("close")))

	for i in range(5, 9):
		popup.submenu(i, "sm_popup_admin_settings_player")

	popup.submenu(9, "sm_popup_admin_settings")

# ******************** Popup choice ********************
def change_setting(userid, choice, popupid):
	if choice < 4:
		addon.set_boolean(userid, "player", "player", settings[choice - 1], popupid, choice)
	else:
		tokens = {}
		player = playerlib.getPlayer(userid)

		if es.exists("key", "sm_keygroup_set", player.steamid) == 0:
			es.keycreate("sm_keygroup_set", player.steamid)

		es.keysetvalue("sm_keygroup_set", player.steamid, "setting_type", "settings_player_respawn_length")

		es.tell(userid, "#green", messages("type_respawn_length", tokens, player.get("lang")))

# ******************** Events ********************
def filter(userid, text, teamonly):
	steamid = es.getplayersteamid(userid)
	if es.exists("key", "sm_keygroup_set", steamid) == 1:
		type = es.keygetvalue("sm_keygroup_set", steamid, "setting_type")
		if type == "settings_player_respawn_length":
			addon.set_number(userid, text, "player", "player", "respawn_length", 0, 1, 60, "sm_popup_admin_settings_player", 4)
			return (0, None, 0)
		else:
			return (userid, text, teamonly)
	else:
		return (userid, text, teamonly)

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_admin_settings_player")

	es.addons.unregisterSayFilter(filter)