﻿import es
import langlib
import playerlib
import popuplib

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2010/language/"

addon = es.import_addon("soccer_mod_2010/admin/settings")

settings = ["speed", "length", "reset"]

# ******************** Load ********************
def load():
	es.set("sm_sprint_speed", float(es.keygetvalue("soccer_mod_settings", "sprint", "speed")))
	es.set("sm_sprint_length", int(es.keygetvalue("soccer_mod_settings", "sprint", "length")))
	es.set("sm_sprint_reset", int(es.keygetvalue("soccer_mod_settings", "sprint", "reset")))

	create_popup()

	es.addons.registerSayFilter(filter)

# ******************** Create popup ********************
def create_popup():
	common = langlib.Strings(lang_dir + "popup_common.ini")
	texts = langlib.Strings(lang_dir + "admin/settings/popup_admin_settings_sprint.ini")

	popup = popuplib.create("sm_popup_admin_settings_sprint")

	popup.addline("SOCCER MOD %s" % (texts("title")))
	popup.addline(" ")

	for i in range(0, len(settings)):
		popup.addline("->%s. %s: %s" % (i + 1, texts(settings[i]), es.ServerVar("sm_sprint_%s" % (settings[i]))))
		popup.select(i + 1, change_setting)

	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("->0. %s" % (common("close")))

	for i in range(4, 9):
		popup.submenu(i, "sm_popup_admin_settings_sprint")

	popup.submenu(9, "sm_popup_admin_settings")

# ******************** Popup choice ********************
def change_setting(userid, choice, popupid):
	messages = langlib.Strings(lang_dir + "admin/settings/messages_settings_sprint.ini")

	tokens = {}
	player = playerlib.getPlayer(userid)

	if es.exists("key", "sm_keygroup_set", player.steamid) == 0:
		es.keycreate("sm_keygroup_set", player.steamid)

	es.keysetvalue("sm_keygroup_set", player.steamid, "setting_type", "settings_sprint_%s" % (settings[choice - 1]))

	es.tell(userid, "#green", messages("type_%s" % (settings[choice - 1]), tokens, player.get("lang")))

# ******************** Events ********************
def filter(userid, text, teamonly):
	steamid = es.getplayersteamid(userid)
	if es.exists("key", "sm_keygroup_set", steamid) == 1:
		name = "sm_popup_admin_settings_sprint"

		type = es.keygetvalue("sm_keygroup_set", steamid, "setting_type")
		if type == "settings_sprint_speed":
			addon.set_number(userid, text, "sprint", "sprint", "speed", 2, 1, 10, name, 1)
			return (0, None, 0)
		elif type == "settings_sprint_length":
			addon.set_number(userid, text, "sprint", "sprint", "length", 0, 1, 10, name, 2)
			return (0, None, 0)
		elif type == "settings_sprint_reset":
			addon.set_number(userid, text, "sprint", "sprint", "reset", 0, 1, 100, name, 3)
			return (0, None, 0)
		else:
			return (userid, text, teamonly)
	else:
		return (userid, text, teamonly)

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_admin_settings_sprint")

	es.addons.unregisterSayFilter(filter)